Fundraising
Apply selected relationship-provisioning candidates
Requires stewardship_relationship_groups_v1 and unrestricted donor-form visibility. Revalidates the exact preview fingerprint and applies 1–100 available candidate keys independently; failures are reported per candidate and successful accounts are retained. Requires permission: donors_view; plus one of manage_settings, access_account_settings; plus one of donors_manage.
POST
/
admin
/
fundraising
/
relationship-provisioning
/
apply
Apply selected relationship-provisioning candidates
curl --request POST \
--url https://api.gratona.com/v1/admin/fundraising/relationship-provisioning/apply \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fingerprint": "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
"candidate_keys": [
"Candidate Keys.*"
]
}
'import requests
url = "https://api.gratona.com/v1/admin/fundraising/relationship-provisioning/apply"
payload = {
"fingerprint": "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
"candidate_keys": ["Candidate Keys.*"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fingerprint: 'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa',
candidate_keys: ['Candidate Keys.*']
})
};
fetch('https://api.gratona.com/v1/admin/fundraising/relationship-provisioning/apply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/fundraising/relationship-provisioning/apply",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'fingerprint' => 'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa',
'candidate_keys' => [
'Candidate Keys.*'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/fundraising/relationship-provisioning/apply"
payload := strings.NewReader("{\n \"fingerprint\": \"aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa\",\n \"candidate_keys\": [\n \"Candidate Keys.*\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gratona.com/v1/admin/fundraising/relationship-provisioning/apply")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fingerprint\": \"aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa\",\n \"candidate_keys\": [\n \"Candidate Keys.*\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/fundraising/relationship-provisioning/apply")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fingerprint\": \"aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa\",\n \"candidate_keys\": [\n \"Candidate Keys.*\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"created_count": 2,
"failed_count": 2,
"created": [
{
"id": 42,
"kind": "family_fund",
"display_name": "Example",
"core_subject_type": "donor",
"core_subject_id": 42,
"representative_donor_id": 42,
"assigned_fundraiser_user_id": 42,
"is_active": true,
"origin": "manual",
"provisioning_key": "Example",
"provisioning_evidence": {},
"core_members": [
{
"id": 42,
"household_id": 42,
"name": "Example",
"email": "Example",
"is_organization": true,
"is_archived": true
}
],
"links": [
{
"id": 42,
"household_id": 42,
"name": "Example",
"email": "Example",
"is_organization": true,
"is_archived": true,
"link_id": 42,
"role": "giving_vehicle",
"giving_scope": "attributed_only",
"expects_attribution": true,
"is_primary_contact": true,
"collapse_in_portfolio": true,
"relationship_label": "Example",
"legal_lifetime_giving": 25,
"legal_ytd_giving": 25,
"legal_gift_count": 2
}
],
"data_quality": {
"core_available": true,
"core_issue": "Example",
"count": 2,
"amount": 25,
"gift_amount": 25,
"items": [
{
"donation_id": 42,
"date": "2026-10-20",
"amount": 25,
"missing_attribution_amount": 25,
"existing_attribution_amount": 25,
"currency": "Example",
"legal_donor_name": "Example"
}
]
},
"current_donor_role": "Example",
"current_link_id": 42,
"warnings": [
{
"code": "Example",
"message": "Example"
}
]
}
],
"failed": [
{
"candidate_key": "Example",
"message": "Example"
}
],
"preview": {
"enabled": true,
"policy_version": 2,
"default_giving_scope": "Example",
"fingerprint": "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
"summary": {
"total": 2,
"returned": 2,
"selected": 2,
"review": 2,
"needs_mapping": 2,
"blocked": 2,
"already_active": 2,
"deactivated": 2
},
"candidates": [
{
"candidate_key": "Example",
"status": "available",
"confidence": "high",
"recommended_action": "create",
"selected_by_default": true,
"blockers": [
"<string>"
],
"core": {
"id": 42,
"name": "Example",
"subject_type": "donor"
},
"mapped_vehicles": [
{
"id": 42,
"household_id": 42,
"name": "Example",
"email": "Example",
"is_organization": true,
"is_archived": true,
"rule_keys": [
"<string>"
],
"relationship_evidence": [
{
"forward_id": 42,
"reverse_id": 42,
"core_relationship_type": "Example",
"vehicle_relationship_type": "Example"
}
],
"soft_credit": {},
"giving_scope": "Example"
}
],
"evidence_only_vehicles": [
{
"id": 42,
"household_id": 42,
"name": "Example",
"email": "Example",
"is_organization": true,
"is_archived": true,
"rule_keys": [
"<string>"
],
"relationship_evidence": [
{
"forward_id": 42,
"reverse_id": 42,
"core_relationship_type": "Example",
"vehicle_relationship_type": "Example"
}
],
"soft_credit": {},
"giving_scope": "Example"
}
],
"mapped_vehicle_count": 2,
"evidence_only_vehicle_count": 2,
"giving_scope": "Example",
"evidence": {
"rule_keys": [
"<string>"
],
"relationship_evidence": [
{}
],
"soft_credit": {
"gift_count": 2,
"attributed_amount": 25,
"soft_credit_type_keys": [
"<string>"
],
"policy_basis": [
"<string>"
]
}
},
"proposed_group": {
"kind": "Example",
"display_name": "Example",
"core_subject_type": "Example",
"core_subject_id": 42,
"assigned_fundraiser_user_id": 42,
"links": [
{
"id": 42,
"household_id": 42,
"name": "Example",
"email": "Example",
"is_organization": true,
"is_archived": true,
"link_id": 42,
"role": "giving_vehicle",
"giving_scope": "attributed_only",
"expects_attribution": true,
"is_primary_contact": true,
"collapse_in_portfolio": true,
"relationship_label": "Example",
"legal_lifetime_giving": 25,
"legal_ytd_giving": 25,
"legal_gift_count": 2
}
]
}
}
],
"truncated": true,
"selection_limited": true,
"selection_limit": 2
}
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}Authorizations
bearerAuthapiKeyAuth
Passport bearer token authentication for legacy admin sessions.
Body
application/json
Validated request fields for this operation.
Fingerprint. Validation: required, string, size:64, regex:/^[a-f0-9]{64}$/.
Required string length:
64Pattern:
^[a-f0-9]{64}$Example:
"aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa"
Candidate keys. Validation: required, array, min:1, max:100.
Required array length:
1 - 100 elementsCandidate keys item. Validation: required, string, max:191, distinct.
Maximum string length:
191⌘I
Apply selected relationship-provisioning candidates
curl --request POST \
--url https://api.gratona.com/v1/admin/fundraising/relationship-provisioning/apply \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fingerprint": "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
"candidate_keys": [
"Candidate Keys.*"
]
}
'import requests
url = "https://api.gratona.com/v1/admin/fundraising/relationship-provisioning/apply"
payload = {
"fingerprint": "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
"candidate_keys": ["Candidate Keys.*"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fingerprint: 'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa',
candidate_keys: ['Candidate Keys.*']
})
};
fetch('https://api.gratona.com/v1/admin/fundraising/relationship-provisioning/apply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/fundraising/relationship-provisioning/apply",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'fingerprint' => 'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa',
'candidate_keys' => [
'Candidate Keys.*'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/fundraising/relationship-provisioning/apply"
payload := strings.NewReader("{\n \"fingerprint\": \"aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa\",\n \"candidate_keys\": [\n \"Candidate Keys.*\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gratona.com/v1/admin/fundraising/relationship-provisioning/apply")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fingerprint\": \"aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa\",\n \"candidate_keys\": [\n \"Candidate Keys.*\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/fundraising/relationship-provisioning/apply")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fingerprint\": \"aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa\",\n \"candidate_keys\": [\n \"Candidate Keys.*\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"created_count": 2,
"failed_count": 2,
"created": [
{
"id": 42,
"kind": "family_fund",
"display_name": "Example",
"core_subject_type": "donor",
"core_subject_id": 42,
"representative_donor_id": 42,
"assigned_fundraiser_user_id": 42,
"is_active": true,
"origin": "manual",
"provisioning_key": "Example",
"provisioning_evidence": {},
"core_members": [
{
"id": 42,
"household_id": 42,
"name": "Example",
"email": "Example",
"is_organization": true,
"is_archived": true
}
],
"links": [
{
"id": 42,
"household_id": 42,
"name": "Example",
"email": "Example",
"is_organization": true,
"is_archived": true,
"link_id": 42,
"role": "giving_vehicle",
"giving_scope": "attributed_only",
"expects_attribution": true,
"is_primary_contact": true,
"collapse_in_portfolio": true,
"relationship_label": "Example",
"legal_lifetime_giving": 25,
"legal_ytd_giving": 25,
"legal_gift_count": 2
}
],
"data_quality": {
"core_available": true,
"core_issue": "Example",
"count": 2,
"amount": 25,
"gift_amount": 25,
"items": [
{
"donation_id": 42,
"date": "2026-10-20",
"amount": 25,
"missing_attribution_amount": 25,
"existing_attribution_amount": 25,
"currency": "Example",
"legal_donor_name": "Example"
}
]
},
"current_donor_role": "Example",
"current_link_id": 42,
"warnings": [
{
"code": "Example",
"message": "Example"
}
]
}
],
"failed": [
{
"candidate_key": "Example",
"message": "Example"
}
],
"preview": {
"enabled": true,
"policy_version": 2,
"default_giving_scope": "Example",
"fingerprint": "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
"summary": {
"total": 2,
"returned": 2,
"selected": 2,
"review": 2,
"needs_mapping": 2,
"blocked": 2,
"already_active": 2,
"deactivated": 2
},
"candidates": [
{
"candidate_key": "Example",
"status": "available",
"confidence": "high",
"recommended_action": "create",
"selected_by_default": true,
"blockers": [
"<string>"
],
"core": {
"id": 42,
"name": "Example",
"subject_type": "donor"
},
"mapped_vehicles": [
{
"id": 42,
"household_id": 42,
"name": "Example",
"email": "Example",
"is_organization": true,
"is_archived": true,
"rule_keys": [
"<string>"
],
"relationship_evidence": [
{
"forward_id": 42,
"reverse_id": 42,
"core_relationship_type": "Example",
"vehicle_relationship_type": "Example"
}
],
"soft_credit": {},
"giving_scope": "Example"
}
],
"evidence_only_vehicles": [
{
"id": 42,
"household_id": 42,
"name": "Example",
"email": "Example",
"is_organization": true,
"is_archived": true,
"rule_keys": [
"<string>"
],
"relationship_evidence": [
{
"forward_id": 42,
"reverse_id": 42,
"core_relationship_type": "Example",
"vehicle_relationship_type": "Example"
}
],
"soft_credit": {},
"giving_scope": "Example"
}
],
"mapped_vehicle_count": 2,
"evidence_only_vehicle_count": 2,
"giving_scope": "Example",
"evidence": {
"rule_keys": [
"<string>"
],
"relationship_evidence": [
{}
],
"soft_credit": {
"gift_count": 2,
"attributed_amount": 25,
"soft_credit_type_keys": [
"<string>"
],
"policy_basis": [
"<string>"
]
}
},
"proposed_group": {
"kind": "Example",
"display_name": "Example",
"core_subject_type": "Example",
"core_subject_id": 42,
"assigned_fundraiser_user_id": 42,
"links": [
{
"id": 42,
"household_id": 42,
"name": "Example",
"email": "Example",
"is_organization": true,
"is_archived": true,
"link_id": 42,
"role": "giving_vehicle",
"giving_scope": "attributed_only",
"expects_attribution": true,
"is_primary_contact": true,
"collapse_in_portfolio": true,
"relationship_label": "Example",
"legal_lifetime_giving": 25,
"legal_ytd_giving": 25,
"legal_gift_count": 2
}
]
}
}
],
"truncated": true,
"selection_limited": true,
"selection_limit": 2
}
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}